--[[
	 Calc
	 Simple inline calculator

	 Version: v1.2.0.1
	 Date:    2013-03-06T11:33:17Z
	 Author:  lenwe-saralonde
]]

-- Evaluate expression and display the result to the console.
-- @param string ex
function Calc(ex)
	local func, errorMessage = loadstring('return ' .. ex, ex);

	if (not func) then
		Calc_Error(errorMessage)
	end

	local result, message = pcall(func);

	if (not result) then
		Calc_Error(message)
	else
		SELECTED_CHAT_FRAME:AddMessage("[Calc] : |H:|h" .. message .. "|h")
	end
end

-- Display error message
-- @param string message
function Calc_Error(message)
	SELECTED_CHAT_FRAME:AddMessage(message, 1, 0, 0)
	PlaySoundFile("Sound\\interface\\Error.wav")
end

SlashCmdList["CALC"] = Calc

SLASH_CALC1 = "/calc"
SLASH_CALC2 = "/cal"